'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _PageFactory = require('../PageFactory');

var _PageFactory2 = _interopRequireDefault(_PageFactory);

var _PageRenderer = require('../renderer/PageRenderer');

var _PageRenderer2 = _interopRequireDefault(_PageRenderer);

var _PageStateManager = require('../state/PageStateManager');

var _PageStateManager2 = _interopRequireDefault(_PageStateManager);

var _AbstractPageManager = require('./AbstractPageManager');

var _AbstractPageManager2 = _interopRequireDefault(_AbstractPageManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @server-side class ServerPageManager extends __VARIABLE__ {__CLEAR__}\nexports.default = ServerPageManager;

/**
 * Page manager for controller on the server side.
 */
class ServerPageManager extends _AbstractPageManager2.default {
  static get $dependencies() {
    return [_PageFactory2.default, _PageRenderer2.default, _PageStateManager2.default];
  }

  /**
   * @inheritdoc
   */
  scrollTo(x = 0, y = 0) {}
}
exports.default = ServerPageManager;

typeof $IMA !== 'undefined' && $IMA !== null && $IMA.Loader && $IMA.Loader.register('ima/page/manager/ServerPageManager', [], function (_export, _context) {
 'use strict';
 return {
   setters: [],
   execute: function () {
     _export('default', exports.default);
   }
 };
});
